<script lang="ts" setup>
const logoText = ['République', 'Française'];
const operatorImgSrc = '/img/Logo_anct_incubateur_des_territoires.svg';
const operatorImgAlt = 'ANCT - Agence nationale de la cohésion des territoires';
const serviceDescription = 'ANCT - Agence nationale de la cohésion des territoires';
const showSearch = false;
const navItems = [
  {
    text: 'Accueil',
    to: '/',
  },
  {
    title: 'Licence libre',
    links: [
      {
        text: 'Le point sur les licences libres',
        to: '/licence-libre/le-point-sur-les-licences-libres',
      },
      {
        text: 'Idées reçues',
        to: '/licence-libre/idees-recues',
      },
    ],
  },
  {
    text: 'Choisir ma licence',
    to: { path: '/licence', force: true },
  },
  {
    title: 'Ressources',
    links: [
      {
        text: 'Projets existants',
        to: '/ressources/projets-existants',
      },
      {
        text: 'Témoignages',
        to: '/ressources/temoignages',
      },
    ],
  },
  {
    text: 'Aides et contacts',
    to: '/aides-et-contact',
  },
];

const licenceMenuOpened = ref(false);
const ressourcesMenuOpened = ref(false);

const toggleLicenceDropdown = () => {
  licenceMenuOpened.value = !licenceMenuOpened.value;
};

const closeLicenceDropDown = () => {
  licenceMenuOpened.value = false;
};

const toggleRessourcesDropdown = () => {
  ressourcesMenuOpened.value = !ressourcesMenuOpened.value;
};

const closeRessourcesDropDown = () => {
  ressourcesMenuOpened.value = false;
};
</script>
<template>
  <header role="banner" class="fr-header">
    <div class="fr-header__body">
      <div class="fr-container width-inherit">
        <div class="fr-header__body-row">
          <div class="fr-header__brand fr-enlarge-link">
            <nuxt-link :to="{ path: '/' }">
              <div class="fr-header__brand-top">
                <div class="fr-header__logo">
                  <p class="fr-logo">République<br />Française</p>
                </div>
                <div class="fr-header__operator">
                  <img
                    class="fr-responsive-img"
                    src="/img/Logo_anct_incubateur_des_territoires.svg"
                    alt="ANCT - Agence nationale de la cohésion des territoires"
                    style=""
                  />
                </div>
              </div>
            </nuxt-link>
          </div>
          <div class="fr-header__tools"></div>
        </div>
      </div>
    </div>
  </header>
  <div class="header-menu anct-box-shadow">
    <div class="fr-container">
      <nav class="fr-nav" role="navigation">
        <ul class="fr-nav__list">
          <li class="fr-nav__item">
            <nuxt-link class="fr-nav__link" :to="{ path: '/' }">Accueil</nuxt-link>
          </li>
          <li class="fr-nav__item" @mouseleave="closeLicenceDropDown()">
            <button class="fr-nav__btn" @click="toggleLicenceDropdown()">
              <span>Licence libre</span>
            </button>
            <div
              class="fr-menu"
              :class="{
                'fr-collapse--expanded': licenceMenuOpened,
                'fr-collapse': !licenceMenuOpened,
              }"
            >
              <ul class="fr-menu__list">
                <li class="fr-menu__item">
                  <nuxt-link class="fr-nav__link" :to="{ path: '/licence-libre/le-point-sur-les-licences-libres' }"
                    >Le point sur les licences libres</nuxt-link
                  >
                </li>
                <li class="fr-menu__item">
                  <nuxt-link class="fr-nav__link" :to="{ path: '/licence-libre/idees-recues' }">Idées reçues</nuxt-link>
                </li>
              </ul>
            </div>
          </li>
          <li class="fr-nav__item">
            <a href="/licence" class="fr-nav__link">Choisir ma licence</a>
          </li>
          <li class="fr-nav__item" @mouseleave="closeRessourcesDropDown()">
            <button class="fr-nav__btn" @click="toggleRessourcesDropdown()">
              <span>Ressources</span>
            </button>
            <div
              class="fr-menu"
              :class="{
                'fr-collapse--expanded': ressourcesMenuOpened,
                'fr-collapse': !ressourcesMenuOpened,
              }"
            >
              <ul class="fr-menu__list">
                <li class="fr-menu__item">
                  <nuxt-link class="fr-nav__link" :to="{ path: '/ressources/projets-existants' }">Projets existants</nuxt-link>
                </li>
                <li class="fr-menu__item">
                  <nuxt-link class="fr-nav__link" :to="{ path: '/ressources/temoignages' }">Témoignages</nuxt-link>
                </li>
              </ul>
            </div>
          </li>
          <li class="fr-nav__item">
            <nuxt-link class="fr-nav__link" :to="{ path: '/aides-et-contact' }">Aides et contacts</nuxt-link>
          </li>
        </ul>
      </nav>
    </div>
  </div>
</template>
<style lang="scss">
.header-menu {
  position: relative;
}
</style>
